GTK2HSTYPEGEN(1)

NAME
gtk2hsTypeGen - Program to generate Gtk's object hierarchy in Haskell

SYNOPSIS
gtk2hsTypeGen [--tag =tag ...] [--lib =lib] [--prefix =prefix] [--modname =modName] [--import =[*]importName ...] [--forward =[*]fwdName ...] [--destructor =destrName] [--hierarchy =hierName]

DESCRIPTION
This manual page briefly describes the gtk2hsTypeGen command. It's a helper program necessary to build the Gtk2Hs suite of libraries.

OPTIONS
The programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options are included below. For a complete description, see the other documentation.

gtk2hsTypeGen accepts the following options:

--tag=tag
    generate entries that have the tag tag. Specify `default' for types without tags

--lib=lib
    set the lib to use in the c2hs {#context #} declaration (the default is `gtk')

--prefix=prefix
    set the prefix to use in the c2hs {#context #} declaration (the default is `gtk')

--modname=modName
    specify module name if it does not match the file name, eg a hierarchical module name

--import="[*]"importName
    additionally import this module without re-exporting it. Use an asterix as prefix if the import should be a .chs import statement, as well as exported from the generated module.

--forward="[*]"fwdName
    specify a number of modules that are imported. Use an asterix as prefix if the import should be a .chs import statement, as well as exported from the generated module.

--destructor=destrName
    specify a non-standard C function pointer that is called to destroy the objects

--hierarchy=hierName
    the name of the file containing the hierarchy list, defaults to the built-in list

BUGS

Please report bugs and feature requests in the Gtk2Hs trac

http://hackage.haskell.org/trac/gtk2hs/

or to the Gtk2Hs mailing list gtk2hs-devel@lists.sourceforge.net

AUTHOR
This page was addapted from the gtk2hsHookGenerator(1) manpage, by Marco Túlio Gontijo e Silva <marcot@debian.org> for the Debian GNU/Linux system (but may be used by others).